# Interface ValueTree

All Superinterfaces:
  `DocTree, InlineTagTree`

public interface ValueTree extends InlineTagTree
A tree node for an `@value` inline tag.

       {@value reference}
       {@value format reference}

Since:
  1.8

- ## Nested Class Summary

  ### Nested classes/interfaces declared in interface DocTree

  `DocTree.Kind`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `default TextTree`
  `getFormat()`
  Returns the format string, or `null` if none was provided.
  `ReferenceTree`
  `getReference()`
  Returns the reference to the value.

  ### Methods declared in interface DocTree

  `accept, getKind`

  ### Methods declared in interface InlineTagTree

  `getTagName`

- ## Method Details

  - ### getReference

    ReferenceTree getReference()
    Returns the reference to the value.
    Returns:
      the reference

  - ### getFormat

    default TextTree getFormat()
    Returns the format string, or `null` if none was provided.
    Implementation Requirements:
      This implementation returns `null`.
    Returns:
      the format string
    Since:
      20